For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
          • Authentication
          • Catalog
          • Company
              • GETList Countries
              • GETGet Address Edit Permission
              • GETList Company Addresses
              • POSTCreate Company Address
              • GETSearch Company Addresses
              • POSTSearch Addresses with Multiple Filters
              • GETGet Address
              • PUTUpdate Address Information
              • PUTMark Address as Active or Inactive
              • GETGet Company Default Addresses
          • Orders
          • Request for Quote
          • Sales Rep
          • Shopping List
          • Store Settings
      • Management
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BStorefrontCompanyAddresses

Search Company Addresses

GET
https://api-b2b.bigcommerce.com/api/v2/companies/:companyId/addresses/searches
GET
/api/v2/companies/:companyId/addresses/searches
$curl -G https://api-b2b.bigcommerce.com/api/v2/companies/123/addresses/searches \
> -H "Authorization: Bearer <token>" \
> -d limit=10 \
> -d offset=0
200Retrieved
1{
2 "message": "string",
3 "code": 200,
4 "data": {
5 "addressBookStatus": "string",
6 "defaultAddress": {
7 "companyId": "123456",
8 "companyName": "Great Buys",
9 "companyAddress": "512 Bluebonnet Lane, Building 2",
10 "companyCity": "Austin",
11 "companyState": "Texas",
12 "companyStateCode": "TX",
13 "companyZipCode": "78726",
14 "companyCountry": "United States",
15 "companyCountryCode": "US",
16 "firstName": "Marie",
17 "lastName": "Curie",
18 "phoneNumber": "8001234567",
19 "label": "Austin Warehouse"
20 },
21 "list": [
22 {
23 "companyId": "123456",
24 "companyName": "Great Buys",
25 "companyAddress": "512 Bluebonnet Lane, Building 2",
26 "companyCity": "Austin",
27 "companyState": "Texas",
28 "companyStateCode": "TX",
29 "companyZipCode": "78726",
30 "companyCountry": "United States",
31 "companyCountryCode": "US",
32 "firstName": "Marie",
33 "lastName": "Curie",
34 "phoneNumber": "8001234567",
35 "label": "Austin Warehouse"
36 }
37 ],
38 "pagination": {
39 "totalCount": 175,
40 "offset": 0,
41 "limit": 10
42 }
43 }
44}
Returns all addresses associated with a Company account that match the query string `q`. Equivalent Storefront GraphQL API Query: `addresses`. For more information, see the [GraphQL Playground](https://api-b2b.bigcommerce.com/graphql/playground).
Was this page helpful?
Previous

Create Company Address

Next

Search Addresses with Multiple Filters

Built with

Returns all addresses associated with a Company account that match the query string q.

Equivalent Storefront GraphQL API Query: addresses. For more information, see the GraphQL Playground.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Path parameters

companyIdstringRequired
The unique numeric ID of the Company account.

Query parameters

qstringOptional
The search string for the request.
limitstringRequired
The total number of items per page of the response.
offsetstringRequired
The number of items to skip before the current page of the response.

Response

OK
messagestring
codedoubleDefaults to 200
dataobject